Filter errors
Total occurrences Sort ascending Affected Topmost group Category Message Filtered occurrences
941 97 projects 50 Fix now Call to deprecated method getMock() of class Drupal​\​Tests​\​UnitTestCase. Deprecated in drupal:8.5.0 and is removed from drupal:9.0.0. Use Drupal​\​Tests​\​PhpunitCompatibilityTrait::createMock() instead. 1
542 219 projects 50 Parse error Class Drush​\​Commands​\​DrushCommands not found and could not be autoloaded. 2
150 47 projects 50 Once 8.7 unsupported Call to deprecated method setExpectedException() of class Drupal​\​KernelTests​\​KernelTestBase. Deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Backward compatibility for PHPUnit 4 will no longer be supported. 8
129 105 projects 50 Fix now Interface [redacted] extends deprecated interface Drupal​\​Component​\​Plugin​\​ConfigurablePluginInterface: Drupal​\​Component​\​Plugin​\​ConfigurablePluginInterface is deprecated in Drupal 8.7.0 and will be removed before Drupal 9.0.0. You should implement ConfigurableInterface and/or DependentPluginInterface directly as needed. If you implement ConfigurableInterface you may choose to implement ConfigurablePluginInterface in Drupal 8 as well for maximum compatibility, however this must be removed prior to Drupal 9. 1
45 23 projects 50 Fix now Usage of deprecated trait Drupal​\​field​\​Tests​\​EntityReference​\​EntityReferenceTestTrait in class [redacted]:9.0.0. Use Drupal​\​Tests​\​field​\​Traits​\​EntityReferenceTestTrait instead. 4
42 24 projects 50 Once 8.7 unsupported Usage of deprecated trait Drupal​\​Tests​\​taxonomy​\​Functional​\​TaxonomyTestTrait in class [redacted]:9.0.0. Use Drupal​\​Tests​\​taxonomy​\​Traits​\​TaxonomyTestTrait instead. 2
21 5 projects 50 Fix now Fetching deprecated class constant DELIMITER of class Drupal​\​Core​\​StringTranslation​\​PluralTranslatableMarkup. Deprecated in drupal:8.7.0 and is removed from drupal:9.0.0. Use Drupal​\​Component​\​Gettext​\​PoItem::DELIMITER instead. 1
3 search_api 1.15 50 Once 8.7 unsupported Call to deprecated method getEntityManager() of class Drupal​\​search_api​\​Plugin​\​views​\​field​\​SearchApiEntity. Deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use Drupal​\​views​\​FieldAPIHandlerTrait::getEntityFieldManager() instead. 3
2 search_api 1.15 50 Parse error Class Drupal​\​search_api_autocomplete​\​Search​\​SearchPluginBase not found and could not be autoloaded. 2
2 search_api 1.15 50 Parse error Class Consolidation​\​OutputFormatters​\​StructuredData​\​RowsOfFields not found and could not be autoloaded. 2
1 search_api 1.15 50 Fix now Parameter $entity_manager of method Drupal​\​search_api​\​ParamConverter​\​SearchApiConverter::__construct() has typehint with deprecated interface Drupal​\​Core​\​Entity​\​EntityManagerInterface. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. 1
1 search_api 1.15 50 Uncategorized Call to deprecated method getUrl() of class Drupal​\​search_api​\​Display​\​DisplayInterface. Deprecated in favor of getPath(). Creating an URL object from a path needs a lot of Core's API which might lead to errors when used in certain situations. This method will be removed in a future version of the Search API module. 1